import { Camera, Material, Plane, Scene, Texture } from 'three';
import { BaseSpecklePass, SpecklePass } from './SpecklePass';
export declare class StencilPass extends BaseSpecklePass implements SpecklePass {
    private camera;
    private scene;
    private overrideMaterial;
    private _oldClearColor;
    private clearColor;
    private clearAlpha;
    private clearDepth;
    private drawBufferSize;
    onBeforeRender: () => void;
    onAfterRender: () => void;
    constructor();
    get displayName(): string;
    get outputTexture(): Texture;
    get material(): Material;
    update(scene: Scene, camera: Camera): void;
    setClippingPlanes(planes: Plane[]): void;
    render(renderer: any, writeBuffer: any, readBuffer: any): void;
}
